Update a holder application
Roles
Analytics Events
/v1/holder/applications/{applicationId}Updates an existing holder application.
Analytic events
- CREDENTIAL_HOLDER_APPLICATION_UPDATE_START
- CREDENTIAL_HOLDER_APPLICATION_UPDATE_SUCCESS
- CREDENTIAL_HOLDER_APPLICATION_UPDATE_FAIL
Authorization
bearerAuth In: header
Path Parameters
Unique identifier for a registered holder application.
uuidRequest Body
application/json
Holder application payload
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PUT "https://example.vii.au01.mattr.global/v1/holder/applications/281d20b3-42a3-40dd-b29a-115ff32b02b7" \ -H "Content-Type: application/json" \ -d '{ "name": "My Holder Application", "clientId": "example-wallet-client", "type": "ios", "bundleId": "com.example-holder-ios-application", "teamId": "A2B3C4D5E6" }'{
"id": "1ef1f867-20b4-48ea-aec1-bea7aff4964c",
"name": "Example Holder Application",
"clientId": "example-wallet-client",
"type": "ios",
"bundleId": "com.example-holder-ios-application",
"teamId": "A2B3C4D5E6",
"maxTimeOfflineInSecs": 86400,
"appAttest": {
"required": true,
"environment": "production"
}
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Retrieve a holder application GET
Retrieves an existing holder application. ### **Analytic events** * CREDENTIAL_HOLDER_APPLICATION_RETRIEVE_START * CREDENTIAL_HOLDER_APPLICATION_RETRIEVE_SUCCESS * CREDENTIAL_HOLDER_APPLICATION_RETRIEVE_FAIL
Delete a holder application DELETE
Deletes an existing holder application. Once deleted, any associated application instances will no longer be able to interact with the MATTR VII platform. ### **Analytic events** * CREDENTIAL_HOLDER_APPLICATION_DELETE_START * CREDENTIAL_HOLDER_APPLICATION_DELETE_SUCCESS * CREDENTIAL_HOLDER_APPLICATION_DELETE_FAIL